Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyClassLoader.ClassCollector

    java.lang.Object
      CompilationUnit.ClassgenCallback
          groovy.lang.GroovyClassLoader.ClassCollector

    public static class GroovyClassLoader.ClassCollector
    extends ClassgenCallback

Constructor Summary
`protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)`

Method Summary
`void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
`protected Class` | `createClass(byte[] code, ClassNode classNode)`
`GroovyClassLoader` | `getDefiningClassLoader()`
`Collection` | `getLoadedClasses()`
`protected Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

Constructor Detail

### GroovyClassLoader.ClassCollector

    protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)

Method Detail

### call

    public void call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)

### createClass

    protected Class createClass(byte[] code, ClassNode classNode)

### getDefiningClassLoader

    public GroovyClassLoader getDefiningClassLoader()

### getLoadedClasses

    public Collection getLoadedClasses()

### onClassNode

    protected Class onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)

Copyright © 2003-2010 The Codehaus. All rights reserved.